# Uses of Class
com.ocient.jdbc.proto.ClientWireProtocol.Request

Packages that use ClientWireProtocol.Request
Package
Description
com.ocient.jdbc
com.ocient.jdbc.proto

## Uses of ClientWireProtocol.Request in com.ocient.jdbc

Methods in com.ocient.jdbc with parameters of type ClientWireProtocol.Request
Modifier and Type
Method
Description
`protected <Response> CompletionStage<CompletableFutures.SQLResult<Response>>`
XGConnection.`sendRequest(ClientWireProtocol.Request request, XGConnection.ResponseHandler<Response> responseHandler, Predicate<SQLWarning> warningHandler, XGConnection.ConfirmationSupplier<Response> confirmationSupplier)`
Sends a request message to the remote server and waits for a response.
`protected CompletionStage<CompletableFutures.SQLResult<Void>>`
XGConnection.`sendRequestWithoutResponse(ClientWireProtocol.Request request)`
Sends a request message to the remote server byt does not wait for a response.
`protected CompletionStage<CompletableFutures.SQLResult<ClientWireProtocol.ConfirmationResponse>>`
XGConnection.`sendRequestWithStandardResponse(ClientWireProtocol.Request request, Predicate<SQLWarning> warningHandler)`
Sends a request message to the remote server and waits for a standard confirmation response.
Method parameters in com.ocient.jdbc with type arguments of type ClientWireProtocol.Request
Modifier and Type
Method
Description
`protected com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<io.netty.buffer.ByteBuf>>>`
XGConnection.`stream(com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<ClientWireProtocol.Request>> requests, int queueDepth)`
Exposes a streaming interface that allows the consumer to apply backpressure.

## Uses of ClientWireProtocol.Request in com.ocient.jdbc.proto

Methods in com.ocient.jdbc.proto that return ClientWireProtocol.Request
Modifier and Type
Method
Description
`ClientWireProtocol.Request`
ClientWireProtocol.Request.Builder.`build()`
`ClientWireProtocol.Request`
ClientWireProtocol.Request.Builder.`buildPartial()`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`getDefaultInstance()`
`ClientWireProtocol.Request`
ClientWireProtocol.Request.Builder.`getDefaultInstanceForType()`
`ClientWireProtocol.Request`
ClientWireProtocol.Request.`getDefaultInstanceForType()`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseFrom(byte[] data)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseFrom(ByteString data)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseFrom(CodedInputStream input)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseFrom(InputStream input)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.Request`
ClientWireProtocol.Request.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.ocient.jdbc.proto that return types with arguments of type ClientWireProtocol.Request
Modifier and Type
Method
Description
`Parser<ClientWireProtocol.Request>`
ClientWireProtocol.Request.`getParserForType()`
`static Parser<ClientWireProtocol.Request>`
ClientWireProtocol.Request.`parser()`
Methods in com.ocient.jdbc.proto with parameters of type ClientWireProtocol.Request
Modifier and Type
Method
Description
`ClientWireProtocol.Request.Builder`
ClientWireProtocol.Request.Builder.`mergeFrom(ClientWireProtocol.Request other)`
`static ClientWireProtocol.Request.Builder`
ClientWireProtocol.Request.`newBuilder(ClientWireProtocol.Request prototype)`